@if (componentData$ | async; as componentData) {
  <div class="form-grid">
    <sqtm-core-label
      [text]="
        'sqtm-core.entity.user.account.bug-tracker-mode.label' | translate
      "
    >
    </sqtm-core-label>
    <div class="flex-row">
      <span>{{
        'sqtm-core.entity.user.account.bug-tracker-mode.Manual' | translate
      }}</span>
      <nz-switch
        class="m-l-4 m-r-4"
        [ngModel]="
          componentData.userAccount.bugTrackerMode === null ||
          componentData.userAccount.bugTrackerMode === 'Automatic'
        "
        (ngModelChange)="handleBugTrackerModelChange($event)"
      >
      </nz-switch>
      <span>{{
        'sqtm-core.entity.user.account.bug-tracker-mode.Automatic' | translate
      }}</span>
    </div>
    <sqtm-core-label
      [text]="
        'sqtm-core.entity.user.account.save-bug-tracker-credentials.label'
          | translate
      "
    >
    </sqtm-core-label>
    <nz-select
      [attr.data-test-field-id]="'edited-bugtracker'"
      [nzOptions]="bugTrackerOptions"
      [disabled]="!hasBugTrackerOptions"
      [(ngModel)]="selectedBugTracker"
    >
    </nz-select>
  </div>
  @if (selectedBugTrackerCredentials; as bugTrackerCredentials) {
    <div class="m-t-15 m-b-8">
      <label class="block-title">{{
        bugTrackerCredentials.bugTracker.name
      }}</label>
      <label class="label-color">
        ({{ bugTrackerCredentials.bugTracker.url }})</label
      >
    </div>
    <div class="block-border p-l-8">
      <sqtm-core-third-party-credentials-form
        [authenticationProtocol]="bugTrackerCredentials.bugTracker.authProtocol"
        [credentials]="bugTrackerCredentials.credentials"
        [useRevokeButton]="true"
        [useRemoveButton]="true"
        [loginFieldKey]="loginFieldKey$ | async"
        [passwordFieldKey]="passwordFieldKey$ | async"
        (submit)="submitCredentials($event, bugTrackerCredentials.bugTracker)"
        (submitOauth2)="
          requestAndSaveOauth2Token(bugTrackerCredentials.bugTracker.id)
        "
        (revokeTokens)="deleteCredentials(bugTrackerCredentials.bugTracker)"
      >
      </sqtm-core-third-party-credentials-form>
      <sqtm-core-third-party-credentials-form-status
        class="full-row flex-row m-t-10"
        [statusIcon]="statusIcon"
        [statusMessage]="credentialsStatusMessage"
      >
      </sqtm-core-third-party-credentials-form-status>
    </div>
  }
}
